/***************************************************************************
 *   Copyright (C) 2004 by Antonio Fasolato                                *
 *   neo@localhost                                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef CONVERTADVANCE_H
#define CONVERTADVANCE_H

#include "convertAdvanceBase.h"
#include "options.h"
#include "error.h"

#include <qstringlist.h>
#include <qtimer.h>
#include <qdatetime.h>

#include <gst/gst.h>

#include <fileref.h>
#include <tag.h>
#include <tstring.h>

class ConvertAdvance : public ConvertAdvanceBase
{
  Q_OBJECT

public:
  ConvertAdvance(QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
  ~ConvertAdvance();
  void setOptions(Options *o);
  void startWorking();
  Error *getErrors();
  bool cancel();
  
  bool initOK;
  bool finished;  //true after a conversion. Used when pressing back button

  /*$PUBLIC_FUNCTIONS$*/
  
private:
	Options *options;
	Error *errors;
	long currentTotalSize;
	int maxSize;
	uint currentFile;
	GstElement *pipeline, *fileSrc, *spider, *encoder, *fileSink;
	QTimer *timer;
	QTime chrono;
	QString outputFile;
	bool converting;

	void processFile();   //start processing another file
	static void eosCb(GstElement *, ConvertAdvance *);   //finished the processing of a file. (internal)
	void abortedOperation(int skip);
	QString createOutputFilename();
	void applyOptions();

public slots:
  /*$PUBLIC_SLOTS$*/

protected:
  /*$PROTECTED_FUNCTIONS$*/

protected slots:
  /*$PROTECTED_SLOTS$*/
	
private slots:
	void tick();
	
signals:
	void workDone();  //Finished working. Notify the main window about it
	void titleChanged(QString);
};

#endif

