/***************************************************************************
 *   Copyright (C) 2004 by Antonio Fasolato                                *
 *   neo@localhost                                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef CONVERTPAGE_H
#define CONVERTPAGE_H

#include "convertPageBase.h"
#include "options.h"

#include <qstringlist.h>

class ConvertPage : public ConvertPageBase
{
  Q_OBJECT

public:
  ConvertPage(QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
  ~ConvertPage();
  bool readOptions();
  Options *getOptions();
  void cleanup();
  /*$PUBLIC_FUNCTIONS$*/

public slots:
    virtual void outputChosen();
    virtual void formatChosen();
    virtual void clearSelection();
    virtual void addFile();
	 virtual void deleteFile();
	 virtual void addDir();
	 virtual void parseOptions();
    virtual void modeChosen(const QString&);
    virtual void selectDir();
  /*$PUBLIC_SLOTS$*/

protected:
  /*$PROTECTED_FUNCTIONS$*/

protected slots:
  /*$PROTECTED_SLOTS$*/
	
signals:
	void optionsChanged();

private:
	Options *options;
};

#endif

