/***************************************************************************
 *   Copyright (C) 2004 by Antonio Fasolato                                *
 *   neo@localhost                                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef ERROR_H
#define ERROR_H

#include <qobject.h>
#include <qstring.h>

enum errorType {ERROR_FILE_EXISTS, ERROR_FILE_NOT_EXISTS, ERROR_FORMAT_UNKNOWN, ERROR_NO_TAGS, ERROR_GST_INTERNAL};

typedef QMap<QString, errorType> errorMap;

/**
@author Antonio Fasolato
*/
class Error : public QObject
{
Q_OBJECT
public:
    Error(QObject *parent = 0, const char *name = 0);
    ~Error();
	 void setError(QString filename, errorType error);
	 errorMap getErrors();
	 
private:
	errorMap errors;
};

#endif
