/***************************************************************************
 *   Copyright (C) 2004 by Antonio Fasolato                                *
 *   neo@localhost                                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#include "lastpage.h"

#include <klistview.h>
#include <klocale.h>
#include <kiconloader.h>

LastPage::LastPage(QWidget* parent, const char* name, WFlags fl)
: LastPageBase(parent,name,fl)
{
}

LastPage::~LastPage()
{
}

void LastPage::setErrors( Error *m ) {
	errors=m;
}

void LastPage::showErrors( ) {
	list->clear();
	errorMap m=errors->getErrors();
	if(m.isEmpty()) {
		KListViewItem *root=new KListViewItem(list,i18n("No errors or warnings"));
		root->setPixmap(0,KGlobal::iconLoader()->loadIcon("running",KIcon::Small));
	}
	else {
	for(errorMap::Iterator i=m.begin(); i!=m.end(); ++i) {
			KListViewItem *root=new KListViewItem(list,i.key());
			switch(i.data()) {
				case ERROR_FORMAT_UNKNOWN: {
					root->setPixmap(0,KGlobal::iconLoader()->loadIcon("messagebox_critical",KIcon::Small));
					KListViewItem *leaf;
					leaf=new KListViewItem(root,i18n("Format not supported"));
					break;
				}
				case ERROR_FILE_EXISTS: {
					root->setPixmap(0,KGlobal::iconLoader()->loadIcon("messagebox_critical"/*warning*/,KIcon::Small));
					KListViewItem *leaf;
					leaf=new KListViewItem(root,i18n("File already exists, not overwriting it"));
					break;
				}
				case ERROR_FILE_NOT_EXISTS: {
					root->setPixmap(0,KGlobal::iconLoader()->loadIcon("messagebox_critical",KIcon::Small));
					KListViewItem *leaf;
					leaf=new KListViewItem(root,i18n("The file is nonexistent, has 0 byte size or you do not have permissions to read it"));
					break;
				}
				case ERROR_NO_TAGS: {
					root->setPixmap(0,KGlobal::iconLoader()->loadIcon("messagebox_warning",KIcon::Small));
					KListViewItem *leaf;
					leaf=new KListViewItem(root,i18n("File format does not support tags"));
					break;
				}
				case ERROR_GST_INTERNAL: {
					root->setPixmap(0,KGlobal::iconLoader()->loadIcon("messagebox_critical",KIcon::Small));
					KListViewItem *leaf;
					leaf=new KListViewItem(root,i18n("Internal GStreamer error. Look at the console output for more details"));
					break;
				}
			}
		}
	}
}

/*$SPECIALIZATION$*/


#include "lastpage.moc"

