/***************************************************************************
 *   Copyright (C) 2004 by Antonio Fasolato                                *
 *   neo@localhost                                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef MAINWIDGET_H
#define MAINWIDGET_H

#include "mainWidgetBase.h"
#include "convertpage.h"
#include "convertadvance.h"
#include "lastpage.h"

class mainWidget : public MainWidgetBase
{
  Q_OBJECT

public:
  mainWidget(QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
  ~mainWidget();
  /*$PUBLIC_FUNCTIONS$*/

private:
	ConvertPage *convertPage;
	ConvertAdvance *convertAdvance;
	LastPage *lastPage;
	
public slots:
  /*$PUBLIC_SLOTS$*/

protected:
  /*$PROTECTED_FUNCTIONS$*/

protected slots:
  /*$PROTECTED_SLOTS$*/
  virtual void help();
  virtual void back();
  virtual void next();
  virtual void reject();
  virtual void accept();
  virtual void pageShown(const QString &title);
  void finishedConverting();
  void updateTitlebar(QString);
};

#endif

