/***************************************************************************
 *   Copyright (C) 2004 by Antonio Fasolato                                *
 *   neo@localhost                                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef OPTIONS_H
#define OPTIONS_H

#include <qobject.h>
#include <qstringlist.h>
#include <qglobal.h>

enum format{mp3,ogg,wav};
enum bitrate{choose,average,variable,preset};
enum mode{mono,joint,stereo,force};

/**
@author Antonio Fasolato
*/
class Options : public QObject
{
Q_OBJECT
public:
    Options(QObject *parent = 0, const char *name = 0);

    ~Options();
	 
	 void setFormat(format f);
	 format getFormat();
	 void setInputFormat(format f);
	 format getInputFormat();
	 void setOutputDir(QString outputDir);
	 QString getOutputDir();
	 void setSourceDir(QString sourceDir);
	 QString getSourceDir();
	 void setFileList(QStringList fileList);
	 QStringList getFileList();
	 void setBitrate(bitrate b);
	 bitrate getBitrate();
	 void setBitrateValue(int v);
	 int getBitrateValue();
	 void setHeader(int type,bool flag);
	 bool getHeader(int type);
	 void setMode(mode m);
	 mode getMode();
	 void setMisc(int type, bool v);
	 bool getMisc(int type);
	 
	 void debugPrint();
	 
	 static const int OPTION_COPYRIGHT, OPTION_ORIGINAL, OPTION_ERROR_PROTECTION, OPTION_ISO, OPTION_DOWNMIX, OPTION_NEW_VBR, OPTION_TRANSFER_TAGS;

private:
	QStringList _fileList;
	QString _sourceDir;
	QString _outputDir;
	format _format, _inputFormat;
	bitrate _bitrate;
	int _bitrateValue;
	bool _copyright, _original, _errorProtection, _iso;   //Mp3 header
	mode _mode;
	bool _downmix, _newVbr, _transferTags;
};


#endif
